Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginMenu

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginMenu

    public class PluginMenu

extends java.lang.Object

This class wraps JMenu for the plug-in.

Author:

Constructor Summary
`PluginMenu()` Constructor
`PluginMenu(PluginAction action)` Constructor
`PluginMenu(java.lang.String name)` Constructor
`PluginMenu(java.lang.String name, PluginAction action)` Constructor
`PluginMenu(java.lang.String name, PluginOpenFileAndDoSomethingAction action)`

Method Summary
`void` | `add(PluginAction action)` Adds a PluginAction to this PluginMenu.
`void` | `add(PluginMenu pluginMenu)` Adds a PluginMenu to this PluginMenu.
`void` | `add(PluginMenuItem item)` Adds a PluginMenuItem to this PluginMenu.
`void` | `addSeparator()` Adds the separator of this PluginMenu.
`PluginAction` | `getAction()`
`java.awt.Component[]` | `getComponents()`
`protected javax.swing.JMenu` | `getJMenu()`
`java.awt.Component` | `getMenuComponent(int index)`
`int` | `getMenuComponentCount()`
`java.lang.String` | `getText()`
`void` | `setEnable(boolean enable)` Sets the enable status of this PluginMenu to true if this PluginMenu is enabled.
`void` | `setToolTipText(java.lang.String text)` Sets the ToolTipText of this PluginMenu.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginMenu

    public PluginMenu()

  Constructor

### PluginMenu

    public PluginMenu(java.lang.String name)

  Constructor

  Parameters:
    `name` - MenuName

### PluginMenu

    public PluginMenu(PluginAction action)

  Constructor

  Parameters:
    `action` -

### PluginMenu

    public PluginMenu(java.lang.String name,
                      PluginAction action)

  Constructor

  Parameters:
    `name` -
    `action` -

### PluginMenu

    public PluginMenu(java.lang.String name,
                      PluginOpenFileAndDoSomethingAction action)

Method Detail

### addSeparator

    public void addSeparator()

  Adds the separator of this PluginMenu.

### add

    public void add(PluginAction action)

  Adds a PluginAction to this PluginMenu.

  Parameters:
    `action` -

### add

    public void add(PluginMenu pluginMenu)

  Adds a PluginMenu to this PluginMenu.

  Parameters:
    `pluginMenu` -

### add

    public void add(PluginMenuItem item)

  Adds a PluginMenuItem to this PluginMenu.

  Parameters:
    `item` - PluginMenuItem

### getText

    public java.lang.String getText()

  Returns:
    the text of this PluginMenu.

### getComponents

    public java.awt.Component[] getComponents()

  Returns:
    the list of components of this PluginMenu.

### getMenuComponentCount

    public int getMenuComponentCount()

  Returns:
    the number of the components of this PluginMenu.

### getMenuComponent

    public java.awt.Component getMenuComponent(int index)

  Returns:
    the component with the given index.

### getAction

    public PluginAction getAction()

  Returns:
    PluginAction

### setEnable

    public void setEnable(boolean enable)

  Sets the enable status of this PluginMenu to true if this PluginMenu is enabled.

### setToolTipText

    public void setToolTipText(java.lang.String text)

  Sets the ToolTipText of this PluginMenu.

  Parameters:
    `text` - ToolTipText

### getJMenu

    protected javax.swing.JMenu getJMenu()

  Returns:
    JMenu

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD